Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6093/?format=api
{ "ob_id": 6093, "uuid": "1492abad564e4127bab3175504566819", "title": "Met Office: Vaisala Radian LAP3000 915MHz vertical wind profiler measurements at Camborne, UK (1998 - 2012)", "abstract": "A Vaisala Radian LAP3000 915MHz wind profiler has been permanently located at the Met Office's Camborne field site and operational since 1998. This was the first profiler of its type to be installed in the UK and is an integral part of the Met Office's UK \"Operational Upper Air Network.\" Operating at 915 Mhz, it provides high resolution wind information from just above the surface (around 300m) up to a maximum of 8 km, depending on the atmospheric conditions. The site is located at 50.130 N, 5.1 W and a height of 88 m above mean sea-level and has a WMO id of 03807. The instrument's height resolution is 60/200 m depending on the operational mode. It has a beam angle of 15.0 degrees and is operated with an averaging period of 30 minutes.\r\n\r\nThis dataset contains vertical wind profiles from the Vaisala Radian LAP3000 915MHz wind profiler located at Camborne.", "keywords": "Met Office, wind", "publicationState": "published", "dataPublishedTime": "2003-03-19T18:30:29", "doiPublishedTime": null, "updateFrequency": "asNeeded", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6094/?format=api", "dataPath": "/badc/ukmo-wind-prof/data/camborne", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1798483066, "numberOfFiles": 3409, "fileFormat": "Data are ASCII formatted\r\n\r\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1780/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/133/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13200/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21769/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25857/?format=api" ], "dataLineage": "Data collected at various sites around the UK by the Met Office as part of the operational upper air network. A copy of the Met Office wind profiler data were then prepared and sent through to the BADC for use by the wider research community.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3951/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/6095/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6092/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6599/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25932/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25934/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25935/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25936/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25938/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41263/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41264/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25933/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/6096/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2532/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx", "label": "restricted: ukmo_wx group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement.pdf", "licenceClassifications": "academic" }, { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2533/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx_gov", "label": "restricted: ukmo_wx_gov group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement_gov.pdf", "licenceClassifications": "policy" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }